-- -----------------------------------------------------------------------------

local ADDON_NAME, ns = ...
local WOEZ_D,WOEZ_O,WOEZ_F,L = ns.datas,ns.functions,ns.frames,ns.locales

-- -----------------------------------------------------------------------------

local Options = CreateFrame("Frame", "WOEZOptions", InterfaceOptionsFramePanelContainer)
      Options.name = "WOEZ Calendar Invit" 
      Options:Hide()
InterfaceOptions_AddCategory(Options)

-- -----------------------------------------------------------------------------
-- -----------------------------------------------------------------------------

Options:SetScript("OnShow", function(self)
    WOEZ_O:DEBUG('OPTIONS','','OnShow')
    WOEZ_O:GET_GUILD() 

    local Title = self:CreateFontString("WOEZ_OPT_Title", "ARTWORK", "GameFontNormalLarge")
          Title:SetPoint("TOPLEFT", 16, -16)
          Title:SetText(self.name)

    local Version = WOEZ_O:FONT("WOEZ_OPT_Version",self,"TOPLEFT", Title, "BOTTOMLEFT", 0, -8, nil,nil,"GameFontHighlightSmall","LEFT")
          Version:SetText(L["WO_Easy"])


    function addbtn(name,value,text,textb) 
        local line = WOEZ_O:FRAM("WOEZ_OPT_"..name,"CheckButton",self,"ChatConfigCheckButtonTemplate")
        if text == "T" then local line_txt = WOEZ_O:ICON("WOEZ_OPT_"..name.."_txt",line,WOEZ_D.FOLDR .."st_okk.tga", "LEFT",line,"RIGHT",WOEZ_D.fonts.TTL_14,WOEZ_D.fonts.TTL_14)
        else
        local line_txt = WOEZ_O:FONT("WOEZ_OPT_"..name.."_txt",line,"LEFT",line,"RIGHT",WOEZ_D.sizes.MMARGS,0, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              line_txt:SetText(text)   
              line_txt:SetTextColor(1,1,1,1)         
        end
        if textb then      
            local line_bis = WOEZ_O:FRAM("WOEZ_OPT_"..name.."b","CheckButton",self,"ChatConfigCheckButtonTemplate",nil,nil,nil,nil,nil,nil,WOEZ_D.fonts.TXT_14,WOEZ_D.fonts.TXT_14)

            if textb == "T" then local line_txt_bis = WOEZ_O:ICON("WOEZ_OPT_"..name.."_txtb",line_bis,WOEZ_D.FOLDR .."st_ok.tga", "LEFT",line_bis,"RIGHT",WOEZ_D.fonts.TTL_14,WOEZ_D.fonts.TTL_14)
            else   
            local line_txt_bis = WOEZ_O:FONT("WOEZ_OPT_"..name.."_txtb",line_bis,"LEFT",line_bis,"RIGHT",WOEZ_D.sizes.MMARGS,0, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
                  line_txt_bis:SetText(textb)   
                  line_txt_bis:SetTextColor(1,1,1,1) 
            end
            if value then line:SetChecked(true) line_bis:SetChecked(false) else line:SetChecked(false) line_bis:SetChecked(true) end                
            return line,line_txt,line_bis,line_txt_bis
        else
            if value then line:SetChecked(true) else line:SetChecked(false) end
            return line,line_txt
        end        
    end


    function self:refresh()
        WOEZ_O:DEBUG('OPTIONS','','Refresh')
        local HShowRank = -20

        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        local InfosZ1 = WOEZ_O:FONT("WOEZ_OPT_DP",self,"TOPLEFT", Version,"BOTTOMLEFT",0,HShowRank,nil,nil,"GameFontNormal","LEFT")
              InfosZ1:SetText(L["Display"])
        HShowRank = HShowRank+6

        -- ----------------------------------------------------- ON enable_ilevl

        local line_WOEZ_OPT_NO,line_WOEZ_OPT_NOt = addbtn("NO",WO_ez_DBC.enable_notes,L["Display_Note"]) 
              line_WOEZ_OPT_NO:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",70,HShowRank)
              line_WOEZ_OPT_NO:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_notes = true else WO_ez_DBC.enable_notes = false end WOEZ_O:SET_ROSTER() end)  
        
        -- ----------------------------------------------------- ON enable_noteo

        local line_WOEZ_OPT_NF,line_WOEZ_OPT_NFt = addbtn("NF",WO_ez_DBC.enable_noteo,L["Officers_Notes"]) 
              line_WOEZ_OPT_NF:SetPoint("LEFT",line_WOEZ_OPT_NO,"RIGHT",122,0)
              line_WOEZ_OPT_NF:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_noteo = true else WO_ez_DBC.enable_noteo = false end WOEZ_O:SET_ROSTER() end)  
        
        HShowRank = HShowRank-22

        -- ----------------------------------------------------- ON enable_ilevl

        local line_WOEZ_OPT_IL,line_WOEZ_OPT_ILt = addbtn("IL",WO_ez_DBC.enable_ilevl,L["Display_Level"]) 
              line_WOEZ_OPT_IL:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",70,HShowRank)
              line_WOEZ_OPT_IL:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_ilevl = true else WO_ez_DBC.enable_ilevl = false end WOEZ_O:SET_ROSTER() end)  

        -- ----------------------------------------------------- ON enable_ilevf
        -- ----------------------------------------------------- ON enable_lolvl

        local line_WOEZ_OPT_IF,line_WOEZ_OPT_IFt = addbtn("IF",WO_ez_DBC.enable_ilevf,L["Fade_Level"]) 
              line_WOEZ_OPT_IF:SetPoint("LEFT",line_WOEZ_OPT_IL,"RIGHT",122,0)

        local line_WOEZ_OPT_LF,line_WOEZ_OPT_LFt = addbtn("LF",WO_ez_DBC.enable_lolvl,L["Hide_Level"]) 
              line_WOEZ_OPT_LF:SetPoint("LEFT",line_WOEZ_OPT_IF,"RIGHT",142,0)
        
        
              line_WOEZ_OPT_LF:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_lolvl = true WO_ez_DBC.enable_ilevf = false line_WOEZ_OPT_IF:SetChecked(false) else WO_ez_DBC.enable_lolvl = false end WOEZ_O:SET_ROSTER() end)  
              line_WOEZ_OPT_IF:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_ilevf = true WO_ez_DBC.enable_lolvl = false line_WOEZ_OPT_LF:SetChecked(false) else WO_ez_DBC.enable_ilevf = false end WOEZ_O:SET_ROSTER() end)  

       
        HShowRank = HShowRank-22

        -- ------------------------------------------------------ ON enable_green 

        local line_WOEZ_OPT_GRT,line_WOEZ_OPT_GRTt,line_WOEZ_OPT_GRB,line_WOEZ_OPT_GRBt = addbtn("GRT",WO_ez_DBC.enable_green,"T","T") 
        line_WOEZ_OPT_GRT:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",70,HShowRank)
        line_WOEZ_OPT_GRB:SetPoint("LEFT",line_WOEZ_OPT_GRT,"RIGHT",122,0)
        line_WOEZ_OPT_GRT:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_green = true  line_WOEZ_OPT_GRB:SetChecked(false) else WO_ez_DBC.enable_green = false line_WOEZ_OPT_GRT:SetChecked(true) end WOEZ_F.infos_Commg_i:SetTexture(WOEZ_D.FOLDR .."st_ok"..(WO_ez_DBC.enable_green and "k" or "")..".tga")  WOEZ_O:SET_ROSTER() end)  
        line_WOEZ_OPT_GRB:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_green = false line_WOEZ_OPT_GRT:SetChecked(false) else WO_ez_DBC.enable_green = true  line_WOEZ_OPT_GRB:SetChecked(true) end WOEZ_F.infos_Commg_i:SetTexture(WOEZ_D.FOLDR .."st_ok"..(WO_ez_DBC.enable_green and "k" or "")..".tga")  WOEZ_O:SET_ROSTER() end)  

        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------
        HShowRank = HShowRank-40
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        local InfosZ2 = WOEZ_O:FONT("WOEZ_OPT_RO",self,"TOPLEFT", Version,"BOTTOMLEFT",0,HShowRank,nil,nil,"GameFontNormal","LEFT")
              InfosZ2:SetText(L["Roles"])
        HShowRank = HShowRank+6

        -- ----------------------------------------------------- ON enable_icons

        local line_WOEZ_OPT_IC,line_WOEZ_OPT_ICt = addbtn("IC",WO_ez_DBC.enable_icons,L["Display_Roles"]) 
              line_WOEZ_OPT_IC:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",70,HShowRank)
              line_WOEZ_OPT_IC:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_icons = true else WO_ez_DBC.enable_icons = false end WOEZ_O:SET_ROSTER() end)  
        
        local line_WOEZ_OPT_IO,line_WOEZ_OPT_IOt = addbtn("IO",WO_ez_DBC.enable_icnof,L["Search_Role_Officer"]) 
              line_WOEZ_OPT_IO:SetPoint("LEFT",line_WOEZ_OPT_IC,"RIGHT",122,0)
              line_WOEZ_OPT_IO:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.enable_icnof = true else WO_ez_DBC.enable_icnof = false end WOEZ_O:SET_ROSTER() end)  
        

        local enableIC_inf = WOEZ_O:FONT("WOEZ_OPT_IC_inf",line_WOEZ_OPT_IC,"LEFT",line_WOEZ_OPT_IC,"LEFT",WOEZ_D.sizes.MMARGS,-20, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              enableIC_inf:SetText(L["Details_Roles_L1"])   
              enableIC_inf:SetTextColor(1,1,1,.4) 
        local enableIC_inb = WOEZ_O:FONT("WOEZ_OPT_IC_inb",line_WOEZ_OPT_IC,"LEFT",line_WOEZ_OPT_IC,"LEFT",WOEZ_D.sizes.MMARGS,-36, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              enableIC_inb:SetText(L["Details_Roles_L2"])   
              enableIC_inb:SetTextColor(1,1,1,.4)    
        local enableIC_inc = WOEZ_O:FONT("WOEZ_OPT_IC_inc",line_WOEZ_OPT_IC,"LEFT",line_WOEZ_OPT_IC,"LEFT",WOEZ_D.sizes.MMARGS,-52, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              enableIC_inc:SetText(L["Details_Roles_L3"])   
              enableIC_inc:SetTextColor(1,1,1,.4) 

        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------
        HShowRank = HShowRank-90
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        local InfosZ3 = WOEZ_O:FONT("WOEZ_OPT_PP",self,  "TOPLEFT", Version, "BOTTOMLEFT", 0, HShowRank,   nil,nil,"GameFontNormal","LEFT")
              InfosZ3:SetText(L["PUs_List"])
        HShowRank = HShowRank+4

        -- ---------------------------------------------------------- pvate_name 

        local obj = "WOEZ_OPT_namePV"
        local namePV = _G[obj] or CreateFrame("EditBox",obj, self, "InputBoxTemplate")
              namePV:SetPoint("TOPLEFT", Version, "BOTTOMLEFT",78,HShowRank)
              namePV:SetSize(130, 20)
              namePV:SetAutoFocus(false)
              namePV:SetScript("OnKeyUp", function(self) WO_ez_DBC.pvate_name = self:GetText() WOEZ_O:SET_ROSTER() end)    
              namePV:SetText(WO_ez_DBC.pvate_name) 
              namePV:Show()

        -- ------------------------------------------------------ ON pvate_totop 

        local line_WOEZ_OPT_PVT,line_WOEZ_OPT_PVTt,line_WOEZ_OPT_PVB,line_WOEZ_OPT_PVBt = addbtn("PVT",WO_ez_DBC.pvate_totop,L["View_Top"],L["View_Bot"]) 
              line_WOEZ_OPT_PVT:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",217,HShowRank)
              line_WOEZ_OPT_PVB:SetPoint("TOPLEFT",Version,"BOTTOMLEFT",380,HShowRank)

              line_WOEZ_OPT_PVT:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.pvate_totop = true  line_WOEZ_OPT_PVB:SetChecked(false) else WO_ez_DBC.pvate_totop = false line_WOEZ_OPT_PVB:SetChecked(true) end WOEZ_O:SET_ROSTER() end)  
              line_WOEZ_OPT_PVB:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.pvate_totop = false line_WOEZ_OPT_PVT:SetChecked(false) else WO_ez_DBC.pvate_totop = true  line_WOEZ_OPT_PVT:SetChecked(true) end WOEZ_O:SET_ROSTER() end)  
    

        local WOEZ_OPT_PP_inf = WOEZ_O:FONT("WOEZ_OPT_PP_inf",namePV,"LEFT",namePV,"LEFT",-4,-24, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              WOEZ_OPT_PP_inf:SetText(L["Details_PU_L1"])   
              WOEZ_OPT_PP_inf:SetTextColor(1,1,1,.4) 

        local WOEZ_OPT_PB_inf = WOEZ_O:FONT("WOEZ_OPT_PB_inf",namePV,"LEFT",namePV,"LEFT",-4,-48, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              WOEZ_OPT_PB_inf:SetText(L["Details_PU_L2"])   
              WOEZ_OPT_PB_inf:SetTextColor(1,1,1,1) 

      
        HShowRank = HShowRank-70

        -- ------------------------------------------------------ ON pvate_roster 

        WO_ez_DBC.pvate_roster = WO_ez_DBC.pvate_roster or {}
        local ManualBackdrop = { bgFile = "Interface\\ChatFrame\\ChatFrameBackground" }
        local obj = "WOEZ_OPT_lisSF"
        local scroPV = WOEZ_O:FRAM("WOEZ_OPT_lisSF","ScrollFrame",self,"UIPanelScrollFrameTemplate")
              scroPV:SetSize(450,90)
              scroPV:SetPoint("TOPLEFT", Version, "BOTTOMLEFT",74,HShowRank)
              scroPV:SetBackdrop(ManualBackdrop)
              scroPV:SetBackdropColor(0, 0, 0, 0.4)
      
        local listPV = WOEZ_O:FRAM("WOEZ_OPT_liste","EditBox",scroPV)
              listPV:SetFontObject(ChatFontNormal)
              listPV:SetMultiLine(true)
              listPV:SetWidth(450)
              listPV:SetAutoFocus(false)
              listPV:SetCursorPosition(0)
              listPV:SetJustifyH("LEFT")
              listPV:SetJustifyV("TOP")
              listPV:SetTextColor(1,1,1,.6)       
              scroPV:SetScrollChild(listPV)
              listPV:SetText(table.concat(WO_ez_DBC.pvate_roster, "\n")  )   
              listPV:SetScript("OnKeyUp", function(self) WO_ez_DBC.pvate_roster = { strsplit("\n",self:GetText()) } WOEZ_O:SET_ROSTER() end)    

        local WOEZ_OPT_PB_inf = WOEZ_O:FONT("WOEZ_OPT_PC_inf",scroPV,"LEFT",scroPV,"BOTTOMLEFT",0,-12, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              WOEZ_OPT_PB_inf:SetText(L["Details_PU_L3"])   
              WOEZ_OPT_PB_inf:SetTextColor(1,1,1,.4) 
      
      
        HShowRank = HShowRank-130
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        local InfosZ4 = WOEZ_O:FONT("WOEZ_OPT_CM",self,"TOPLEFT", Version,"BOTTOMLEFT",0,HShowRank,nil,nil,"GameFontNormal","LEFT")
              InfosZ4:SetText(L["Communities"])
        HShowRank = HShowRank-30
              
        -- ----------------------------------------------- WO_ez_DBC.communities

        local InfosScrollF = WOEZ_O:FRAM("WOEZ_OPT_CM_SCRL","ScrollFrame",self,nil,  nil,nil,nil,nil,nil, 171,72)
              InfosScrollF:SetPoint("TOPLEFT",Version,68,HShowRank)

        local InfosScrollb    = WOEZ_O:FRAM("WOEZ_OPT_CM_SCRLb","Slider",InfosScrollF,"UIPanelScrollBarTemplate","TOPRIGHT", InfosScrollF,"TOPRIGHT", -2, -WOEZ_D.fonts.TXT_14)
              InfosScrollb:SetPoint("BOTTOMRIGHT", InfosScrollF, "BOTTOMRIGHT",-2,WOEZ_D.fonts.TXT_14) 
              InfosScrollb:SetMinMaxValues(1, 200) 
              InfosScrollb:SetValueStep(10) 
              InfosScrollb:SetValue(0) 
              InfosScrollb.scrollStep = 10 
              InfosScrollb:SetScript("OnValueChanged",function (self, value) self:GetParent():SetVerticalScroll(value) end) 

              InfosScrollb                  :SetWidth( WOEZ_D.fonts.TXT_14)  
              InfosScrollb.ThumbTexture     :SetWidth( WOEZ_D.fonts.TXT_14)     
              InfosScrollb.ThumbTexture     :SetHeight(WOEZ_D.fonts.TXT_14)
              InfosScrollb.ScrollDownButton :SetWidth( WOEZ_D.fonts.TXT_14) 
              InfosScrollb.ScrollDownButton :SetHeight(WOEZ_D.fonts.TXT_14)
              InfosScrollb.ScrollUpButton   :SetWidth( WOEZ_D.fonts.TXT_14)   
              InfosScrollb.ScrollUpButton   :SetHeight(WOEZ_D.fonts.TXT_14)

        local Infoschild      = WOEZ_O:FRAM("WOEZ_OPT_CM_SCRLchild","Frame",InfosScrollF)
              Infoschild:SetSize(1,1) 

              InfosScrollF:SetScrollChild(Infoschild)
              InfosScrollF:SetScript("OnMouseWheel", function (self, value) value = value*-1 val = InfosScrollb:GetValue()+value*10 InfosScrollb:SetValue(val) end)
              InfosScrollb:SetScript("OnMouseWheel", function (self, value) value = value*-1 val = InfosScrollb:GetValue()+value*10 InfosScrollb:SetValue(val) end)

        local topFram,HeiFrame = 0,-72

        WO_ez_DBC.communities = WO_ez_DBC.communities or {}
        communities = C_Club.GetSubscribedClubs()
        for _,community in pairs(communities) do
            if (community.clubType == 1) then
                
                local line = WOEZ_O:FRAM("WOEZ_OPT_CM_"..community.clubId,"CheckButton",Infoschild,"ChatConfigCheckButtonTemplate")
                local line_txt = WOEZ_O:FONT("WOEZ_OPT_CM_"..community.clubId.."_txt",line,"LEFT",line,"RIGHT",WOEZ_D.sizes.MMARGS,1, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
                      line_txt:SetText(community.name)   
                      line_txt:SetTextColor(1,1,1,1)  
                      line:SetPoint("TOPLEFT",2,topFram)
                      line:SetScript("OnClick", function(self, button) if self:GetChecked() then WO_ez_DBC.communities[community.clubId] = true else WO_ez_DBC.communities[community.clubId] = nil end WOEZ_O:SET_ROSTER() end)  
                      if WO_ez_DBC.communities[community.clubId] then line:SetChecked(true) end
                topFram  = topFram -22   
                HeiFrame = HeiFrame+22   
                
            end
        end

        local WOEZ_OPT_CM_inf = WOEZ_O:FONT("WOEZ_OPT_CM_inf",self,"TOPLEFT",InfosScrollF,"BOTTOMLEFT",6,-6, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              WOEZ_OPT_CM_inf:SetText(L["Details_Commun_L1"])   
              WOEZ_OPT_CM_inf:SetTextColor(1,1,1,.4) 

        local WOEZ_OPT_CM_inb = WOEZ_O:FONT("WOEZ_OPT_CM_inb",self,"TOPLEFT",InfosScrollF,"BOTTOMLEFT",6,-22, nil,nil,WOEZ_D.fonts.TTL_F,"LEFT")
              WOEZ_OPT_CM_inb:SetText(L["Details_Commun_L2"])   
              WOEZ_OPT_CM_inb:SetTextColor(1,1,1,.4) 

        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        if HeiFrame == -72 then
            InfosZ4:Hide()          InfosScrollF:Hide()
            WOEZ_OPT_CM_inf:Hide()  WOEZ_OPT_CM_inb:Hide()   
        end
        HeiFrame = HeiFrame+7
        if HeiFrame < 2 then HeiFrame = 1 InfosScrollb:Hide() else InfosScrollb:Show() end
        InfosScrollb:SetMinMaxValues(1, HeiFrame)



        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------

        if WOEZ_D.InGuild then
            
            HShowRank = HShowRank+30

            local infos = {}            
            for i=2, GuildControlGetNumRanks() do
                local Nameg = GuildControlGetRankName(i)
                if Nameg then infos[i] = Nameg end
            end

            local ShowGMrank = WOEZ_O:FONT("WOEZ_OPT_GM",self,  "TOPLEFT", Version, "BOTTOMLEFT", 282, HShowRank,   nil,nil,"GameFontNormal","LEFT")
                  ShowGMrank:SetText(L["Show_GM"])

            local infos = {}            
            for i=2, GuildControlGetNumRanks() do
                local Nameg = GuildControlGetRankName(i)
                if Nameg then infos[i] = Nameg end
            end
            local obj = "WOEZ_OPT_GMR"
            local GMRankDropdown = _G[obj] or CreateFrame("Frame",obj, self, "UIDropDownMenuTemplate")
                  GMRankDropdown:SetPoint("LEFT", ShowGMrank, "RIGHT", -4, -2)
                  GMRankDropdown.initialize = function()
                        info = {}
                        for u, grank in pairs(infos) do
                            info.text = grank
                            info.value = u
                            info.func = function(self)
                                WO_ez_DBC.guildrankGM = self.value
                                info.checked = self.value == self.text 
                                UIDropDownMenu_SetText(GMRankDropdown, self:GetText()) 
                                WOEZ_O:SET_ROSTER()
                            end
                            info.checked = u == WO_ez_DBC.guildrankGM
                            UIDropDownMenu_AddButton(info)
                        end
                  end
            if infos[WO_ez_DBC.guildrankGM] then UIDropDownMenu_SetText(GMRankDropdown, infos[WO_ez_DBC.guildrankGM]) end
            GMRankDropdown:Show()

            HShowRank = HShowRank-32

        end
        -- ---------------------------------------------------------------------
        -- ---------------------------------------------------------------------


    end
    self:refresh()
    self:SetScript("OnShow", nil)
end)


-- -----------------------------------------------------------------------------
-- options options
-- -----------------------------------------------------------------------------

SLASH_WOEZ1 = "/woez"
SlashCmdList.WOEZ = function()
	InterfaceOptionsFrame_OpenToCategory(Options)
    InterfaceOptionsFrame_OpenToCategory(Options)
end

-- -----------------------------------------------------------------------------